Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: ktp-text-ui
Upstream-Contact: KDE Telepathy Project <kde-telepathy@kde.org>
Source: http://download.kde.org/unstable/kde-telepathy/
License: GPL-2+

Files: *
Copyright: 2010-2014 David Edmundson <kde@davidedmundson.co.uk>
License: GPL-2+

Files: app/*
       adiumxtra-protocol-handler/*
       config/*
       logviewer/*
       lib/*
Copyright: 2010-2011 Dominik Schmidt <kde@dominik-schmidt.de> <dev@dominik-schmidt.de>
           2010-2012 David Edmundson <kde@davidedmundson.co.uk>
           2011 Francesco Nwokeka <francesco.nwokeka@gmail.com>
           2011 Lasath Fernando <kde@lasath.org>
           2014 Marcin Ziemiński <zieminn@gmail.com>
           2005 Michaël Larouche <larouche@kde.org>
           2013 Michael Zanetti <mzanetti@kde.org>
           2013 Stefan Eggers <coloncolonone@gmail.com>
           2002-2008 the Kopete developers <kopete-devel@kde.org>
	   2014 Daniel Vrátil <dvratil@redhat.com>
License: GPL-2+

Files: app/emoticon-text-edit-*
       app/invite-contact-dialog.*
       logviewer/logs-import-dialog.*
       image-sharer/*
       filters/*
       lib/contact-delegate.cpp
       lib/contact-delegate.h
       lib/notify-filter.cpp
       lib/notify-filter.h
Copyright: 2014 Ahmed I. Khalil <ahmedibrahimkhali@gmail.com>
           2011-2014 David Edmundson <davidedmundson@kde.org>
           2012 Dominik Cermak <d.cermak@arcor.de>
           2011 Dominik Schmidt <kde@dominik-schmidt.de>
           2013 Gilles Caulier <caulier dot gilles at gmail dot com>
           2011-2013 Lasath Fernando <kde@lasath.org>
           2012 Marius Orcsik <marius at habarnam dot ro>
           2011 Martin Klapetek <martin.klapetek@gmail.com>
           2008 Vardhman Jain <vardhman at gmail dot com>
License: LGPL-2.1+

Files: lib/ktpchat_export.h
Copyright: 2007 David Faure <faure@kde.org>
License: LGPL-2+

Files: data/styles/SimKete.AdiumMessageStyle/*
Copyright: 2009,2011 Matěj Cepl <mcepl@redhat.com>
License: Expat

Files: data/styles/renkoo.AdiumMessageStyle/*
Copyright: 2007 Torrey Rice/Renkoo
License: BSD-3-clause or Academic

Files: data/styles/renkoo.AdiumMessageStyle/Contents/Resources/Footer.html
Copyright: 2004-2010 Philip McCarthy
License: Expat

Files: data/styles/WoshiChat.AdiumMessageStyle/*
Copyright: 2012 Seth Chisamore
           2014 Martin Klapetek
           2014 The KDE Telepathy team
License: Apache-2.0

Files: data/styles/WoshiChat.AdiumMessageStyle/Contents/Resources/lib/scrollbar.js
Copyright: 2008 PersonalGrid Corporation <http://personalgrid.com/>
License: MIT

Files: debian/*
Copyright: 2011-2012 George Kiagiadakis <kiagiadakis.george@gmail.com>
License: LGPL-2.1+

License: GPL-2+
    This package is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    .
    This package is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    .
    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>
    .
    On Debian systems, the complete text of the GNU General
    Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: LGPL-2+
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
    .
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
    .
    You should have received a copy of the GNU Library General Public
    License along with this library. If not, see <http://www.gnu.org/licenses/>
    .
    On Debian systems, the complete text of the GNU Lesser General
    Public License version 2+ can be found in "/usr/share/common-licenses/LGPL-2"

License: LGPL-2.1+
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
   .
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   .
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
   .
   On Debian systems, the complete text of the GNU Lesser General
   Public License v2.1 can be found in `/usr/share/common-licenses/LGPL-2.1'.

License: Expat
    Permission is hereby granted, free of charge, to any person obtaining a copy of
    this software and associated documentation files (the "Software"), to deal in
    the Software without restriction, including without limitation the rights to
    use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
    the Software, and to permit persons to whom the Software is furnished to do so,
    subject to the following conditions:
    .
    The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.
    .
    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
    FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
    COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
    IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
    CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

License: BSD-3-clause
    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:
    .
    1. Redistributions of source code must retain the copyright
    notice, this list of conditions and the following disclaimer.
    2. Redistributions in binary form must reproduce the copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
    3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.
    .
    THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
    IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
    OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
    IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
    NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
    DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
    THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
    THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: Academic
    The Academic Free License v. 2.1
    .
    This Academic Free License (the "License") applies to any original work of
    authorship (the "Original Work") whose owner (the "Licensor") has placed the
    following notice immediately following the copyright notice for the Original Work:
    Licensed under the Academic Free License version 2.1
    .
    1) Grant of Copyright License. Licensor hereby grants You a world-wide,
        royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:
        a) to reproduce the Original Work in copies;
        b) to prepare derivative works ("Derivative Works") based upon the Original Work;
        c) to distribute copies of the Original Work and Derivative Works to the public;
        d) to perform the Original Work publicly; and
        e) to display the Original Work publicly.
    2) Grant of Patent License. Licensor hereby grants You a world-wide,
        royalty-free, non-exclusive, perpetual, sublicenseable license, under
        patent claims owned or controlled by the Licensor that are embodied in the
        Original Work as furnished by the Licensor, to make, use, sell and offer
        for sale the Original Work and Derivative Works.
    3) Grant of Source Code License. The term "Source Code" means the preferred
        form of the Original Work for making modifications to it and all available
        documentation describing how to modify the Original Work. Licensor hereby
        agrees to provide a machine-readable copy of the Source Code of the
        Original Work along with each copy of the Original Work that Licensor
        distributes. Licensor reserves the right to satisfy this obligation by
        placing a machine-readable copy of the Source Code in an information
        repository reasonably calculated to permit inexpensive and convenient access
        by You for as long as Licensor continues to distribute the Original Work,
        and by publishing the address of that information repository in a notice
        immediately following the copyright notice that applies to the Original Work.
    4) Exclusions From License Grant. Neither the names of Licensor, nor the names
        of any contributors to the Original Work, nor any of their trademarks or
        service marks, may be used to endorse or promote products derived from this
        Original Work without express prior written permission of the Licensor.
        Nothing in this License shall be deemed to grant any rights to trademarks,
        copyrights, patents, trade secrets or any other intellectual property of
        Licensor except as expressly stated herein. No patent license is granted to
        make, use, sell or offer to sell embodiments of any patent claims other than
        the licensed claims defined in Section 2. No right is granted to the
        trademarks of Licensor even if such marks are included in the Original Work.
        Nothing in this License shall be interpreted to prohibit Licensor from
        licensing under different terms from this License any Original Work that
        Licensor otherwise would have a right to license.
    5) This section intentionally omitted.
    6) Attribution Rights. You must retain, in the Source Code of any Derivative
        Works that You create, all copyright, patent or trademark notices from the
        Source Code of the Original Work, as well as any notices of licensing and
        any descriptive text identified therein as an "Attribution Notice." You must
        cause the Source Code for any Derivative Works that You create to carry a
        prominent Attribution Notice reasonably calculated to inform recipients that
        You have modified the Original Work.
    7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that
        the copyright in and to the Original Work and the patent rights granted
        herein by Licensor are owned by the Licensor or are sublicensed to You under
        the terms of this License with the permission of the contributor(s) of those
        copyrights and patent rights. Except as expressly stated in the immediately
        proceeding sentence, the Original Work is provided under this License on an
        "AS IS" BASIS and WITHOUT WARRANTY, either express or implied, including,
        without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or
        FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE
        ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an
        essential part of this License. No license to Original Work is granted
        hereunder except under this disclaimer.
    8) Limitation of Liability. Under no circumstances and under no legal theory,
        whether in tort (including negligence), contract, or otherwise, shall the
        Licensor be liable to any person for any direct, indirect, special,
        incidental, or consequential damages of any character arising as a result
        of this License or the use of the Original Work including, without
        limitation, damages for loss of goodwill, work stoppage, computer failure or
        malfunction, or any and all other commercial damages or losses. This
        limitation of liability shall not apply to liability for death or personal
        injury resulting from Licensor's negligence to the extent applicable law
        prohibits such limitation. Some jurisdictions do not allow the exclusion or
        limitation of incidental or consequential damages, so this exclusion and
        limitation may not apply to You.
    9) Acceptance and Termination. If You distribute copies of the Original Work or
        a Derivative Work, You must make a reasonable effort under the circumstances
        to obtain the express assent of recipients to the terms of this License.
        Nothing else but this License (or another written agreement between Licensor
        and You) grants You permission to create Derivative Works based upon the
        Original Work or to exercise any of the rights granted in Section 1 herein,
        and any attempt to do so except under the terms of this License (or another
        written agreement between Licensor and You) is expressly prohibited by U.S.
        copyright law, the equivalent laws of other countries, and by international
        treaty. Therefore, by exercising any of the rights granted to You in Section
        1 herein, You indicate Your acceptance of this License and all of its terms
        and conditions.
    10) Termination for Patent Action. This License shall terminate automatically
        and You may no longer exercise any of the rights granted to You by this
        License as of the date You commence an action, including a cross-claim or
        counterclaim, against Licensor or any licensee alleging that the Original
        Work infringes a patent. This termination provision shall not apply for an
        action alleging patent infringement by combinations of the Original Work
        with other software or hardware.
    11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this
        License may be brought only in the courts of a jurisdiction wherein the
        Licensor resides or in which Licensor conducts its primary business, and
        under the laws of that jurisdiction excluding its conflict-of-law
        provisions. The application of the United Nations Convention on Contracts
        for the International Sale of Goods is expressly excluded. Any use of the
        Original Work outside the scope of this License or after its termination
        shall be subject to the requirements and penalties of the U.S. Copyright Act,
        17 U.S.C. § 101 et seq., the equivalent laws of other countries, and
        international treaty. This section shall survive the termination of this License.
    12) Attorneys Fees. In any action to enforce the terms of this License or
        seeking damages relating thereto, the prevailing party shall be entitled
        to recover its costs and expenses, including, without limitation,
        reasonable attorneys' fees and costs incurred in connection with such
        action, including any appeal of such action. This section shall survive
        the termination of this License.
    13) Miscellaneous. This License represents the complete agreement concerning
        the subject matter hereof. If any provision of this License is held to be
        unenforceable, such provision shall be reformed only to the extent
        necessary to make it enforceable.
    14) Definition of "You" in This License. "You" throughout this License, whether
        in upper or lower case, means an individual or a legal entity exercising
        rights under, and complying with all of the terms of, this License.
        For legal entities, "You" includes any entity that controls, is controlled
        by, or is under common control with you. For purposes of this definition,
        "control" means (i) the power, direct or indirect, to cause the direction
        or management of such entity, whether by contract or otherwise,
        or (ii) ownership of fifty percent (50%) or more of the outstanding shares,
        or (iii) beneficial ownership of such entity.
    15) Right to Use. You may use the Original Work in all ways not otherwise
        restricted or conditioned by this License or by law, and Licensor promises
        not to interfere with or be responsible for such uses by You.
    .
    This license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved.
    Permission is hereby granted to copy and distribute this license without
    modification. This license may not be modified without the express written
    permission of its copyright owner.

License: Apache-2.0
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 .
 http://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 .
 On Debian systems, the complete text of the Apache version 2.0 license
 can be found in "/usr/share/common-licenses/Apache-2.0".

License: MIT
  Permission is hereby granted, free of charge, to any person obtaining
  a copy of this software and associated documentation files (the
  "Software"), to deal in the Software without restriction, including
  without limitation the rights to use, copy, modify, merge, publish,
  distribute, sublicense, and/or sell copies of the Software, and to
  permit persons to whom the Software is furnished to do so, subject to
  the following conditions:
  .
  The above copyright notice and this permission notice shall be
  included in all copies or substantial portions of the Software.
  .
  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
  LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
  WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
